update akuz.t_vaccine_library
set TypeOfVaccination = case
    when Name like 'туберкулин%' then 10  -- проба
    when Name like '1 вакцинация%' then 0  -- 1 вакцинация
    when Name like '2 вакцинация%' then 1  -- 2 вакцинация
    when Name like '3 вакцинация%' then 2  -- 3 вакцинация
    when Name like '4 вакцинация%' then 3  -- 4 вакцинация
    when Name like '1 ревакцинация%' then 4  -- 1 ревакцинация
    when Name like '2 ревакцинация%' then 5  -- 2 ревакцинация
    when Name like '3 ревакцинация%' then 6  -- 3 ревакцинация
    when Name like '4 ревакцинация%' then 7  -- 4 ревакцинация
    when Name like 'вакцинация%' then 8  -- вакцинация
    when Name like '%ревакцинация%' then 9  -- ревакцинация
    else 8 -- вакцинация по умолчанию
end;

